Skip to main content

Get Time Off

Retrieve a single time-off request by ID.

Endpointโ€‹

GET /v1/staff/time-off/{id}

Authenticationโ€‹

Requires an API key with the staff:read scope.

Path Parametersโ€‹

ParameterTypeDescription
idintegerTime-off request ID

Responseโ€‹

Success (200 OK)โ€‹

{
"data": {
"id": 7,
"staff_id": 5,
"staff": { "id": 5, "first_name": "Jane", "last_name": "Smith" },
"start_date": "2026-04-14",
"end_date": "2026-04-16",
"start_time": null,
"end_time": null,
"is_all_day": true,
"type": "annual_leave",
"status": "pending",
"reason": "Easter break",
"approved_by": null,
"created_at": "2026-04-01T09:00:00+00:00",
"updated_at": "2026-04-01T09:00:00+00:00"
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-04-01T10:00:00+00:00"
}
}

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
401invalid_api_keyInvalid API key
403insufficient_scopeAPI key lacks staff:read scope
404not_foundRequest not found or belongs to another supplier

Example Requestโ€‹

curl -X GET "https://app.equipdash.com/api/v1/staff/time-off/7" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."